# Manual de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Pablo
de Vicente

    pvicentea@nexo.es

Traductor
Carlos
García Argos

    garcia@ieee.org

Traductor
Marcos
Fouces Lago

    mfouces@yahoo.es

Traductor
Santiago
Fernández Sancho

    mfouces@yahoo.es

Traductor
2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Este documento es el manual de usuario para la aplicación &konsole;.

&konsole; es un emulador de terminal X para &kde;.

KDE
konsole
kdebase
orden
línea

## Introducción a &konsole;

### ¿Qué es un terminal?

Los sistemas operativos &UNIX; se diseñaron originalmente como sistemas de sólo texto, controlados por órdenes del teclado - es lo que se conoce con el nombre de interfaz de línea de órdenes (CLI). El &X-Windows; y &kde; y otros proyectos han añadido desde entonces el interfaz gráfico que está utilizando ahora. Sin embargo, el sistema CLI subyacente, está todavía presente, y es frecuentemente el más sencillo, rápido y potente método de realizar muchas tareas.

&konsole; es lo que se conoce como un emulador de terminal X, frecuentemente denominado un terminal o un intérprete de órdenes. Le ofrece el equivalente a una pantalla de texto antigua en su escritorio, pero que puede compartir la pantalla con sus aplicaciones gráficas. Los usuarios de &Windows; puede que estén familiarizados con la utilidad pantalla de MS-DOS, que tiene una función análoga pero ofreciendo una línea de órdenes de DOS para &Windows;. (¡Aunque los CLIs de &UNIX; ofrecen mucha más potencia y facilidad de uso que los de DOS!).

Explicar el uso del CLI de &UNIX; está más allá del objetivo de este documento, ya que requeriría una libro completo. Afortunadamente, existen muchos libros de este tipo en varios idiomas en cualquier librería o biblioteca. También hay tutoriales disponibles en Internet. Disfrute de &kde;, pero no se retraiga, intente aprender el uso de la línea de órdenes. Descubrirá que incluso el aprendizaje de los elementos básicos facilitará el uso de su ordenador y se le hará más ameno.

### ¿Qué hace tan especial a &konsole;?

Las características avanzadas de &konsole; incluyen una configuración sencilla y la capacidad de usar múltiples terminales en una sola ventana, contribuyendo a mantener ordenado el escritorio.

Utilizando &konsole;, un usuario puede abrir:

- Sesiones de consola &Linux;.

- Sesiones de terminal.

- Sesiones de pantalla.

- Sesiones del administrador de archivos Midnight Commander.

- Sesiones de consola de root.

- Sesiones de Root de Midnight Commander.

- Sesiones creadas por el usuario.

Estas sesiones pueden renombrarse para ayudarle a tener localizados todos sus terminales, o se les puede enviar señales (STOP, CONT, HUP, INT, TERM, KILL).

Para un mayor control sobre &konsole;, un usuario puede:

- Ocultar/mostrar la barra de menús o los marcos.

- Seleccionar el tamaño, tipos de letra, esquemas de colores y mapeado de teclado de una ventana de &konsole;.

- Cambiar la posición de la barra de desplazamiento u ocultarla.

- Cambiar la posición de la barra de pestañas u ocultarla.

Todas las opciones elegidas pueden hacerse predeterminadas para las siguientes sesiones guardándolas.

Para los interesados en la taxonomía de los terminales X libres, hay otros dos de este tipo: xterm, el original escrito incluso antes que X (un mes o así), y xvt, un clon de xterm más ligero, en el que se basan la mayoría de los derivados actuales (principalmente eterm).

## Uso de &konsole;

### Inicio

Cuando &konsole; se inicia, se ejecuta una aplicación (normalmente un intérprete de &UNIX;) en la ventana. Puede comenzar a teclear en el punto en el que aparece el indicador.

Pantalla de &konsole;
Pantalla de &konsole;

&konsole; con 4 sesiones de terminal abiertas.

Puede también aparecer una «Sugerencia del día» al iniciarse, ofreciendo consejos sobre el uso de &konsole;. Si no desea verlas, desmarque la casilla Mostrar suerencias al inicio.

### Historial

Según las líneas se desplazan fuera de la parte superior de la pantalla, se pueden volver a ver moviendo la barra de desplazamiento hacia arriba, moviendo la rueda del ratón o usando las teclas &Shift;RePag (para moverse una página atrás), &Shift;AvPag (para moverse una página adelante), &Shift;Arriba (para moverse una línea arriba) y &Shift;Abajo (para moverse una línea abajo siempre y cuando la opción Historial esté activada).

&konsole; también imita la consola de FreeBSD si está pulsada la tecla Bloq Despl. Cuando el bloqueo del desplazamiento está activado, como norma general se suspenden tanto la salida como la entrada de la pantalla y puede moverse a lo largo del historial con las teclas Página arriba, Página abajo, Flecha arriba y Flecha abajo.

El historial de &konsole; se puede configurar a través de Historial Opciones del historial... .

&konsole; le permite realizar varias acciones sobre el historial desde el menú Historial.

- Buscar salida...

- Buscar siguiente.

- Buscar anterior

- Guardar salida...

- Opciones del historial...

- Limpiar historial

- Limpia el historial y reiniciar

En &konsole;, las referencias al historial están formadas por el texto que se muestra en la ventana de &konsole;. El intérprete que se ejecute en &konsole; (ejem: bash) también tiene un «historial» que no está relacionado con el historial de &konsole;.

### Sesiones

Si accede con frecuencia a máquinas remotas, o siempre ejecuta un conjunto similar de aplicaciones de terminal, puede utilizar la característica «sesiones» de &konsole; que le permite la administración de las sesiones de &kde; para automatizar una gran cantidad de ellas. Déjenos mostrarle el siguiente ejemplo: Supongamos que necesita abrir con cierta frecuencia una sesión ssh a la máquina administrador de forma que pueda hacer tareas genéricas de administración. Como sabe el botón Nueva sesión situado en la barra de pestañas de &konsole; contiene un menú que se mostrará si mantiene pulsado el botón, de forma que podrá seleccionar un nuevo tipo de sesión. Añadiremos nuevas entradas al menú:

1. Pulse en la entrada de menú Preferencias Administrar perfiles...

2. Pulse el botón Nuevo perfil.

3. Rellene la primera entrada con un nombre. Éste es el nombre que se mostrará en el menú, y será la etiqueta que se utilizará en lugar de Terminal cuando inicie una sesión de este tipo.

4. Introduzca una orden de la misma forma en que lo haría si abriera un nuevo terminal y tecleara la orden. Para nuestro primer ejemplo, teclee ``ssh` administrador`.

5. En las demás pestañas del diálogo, configure el aspecto de la sesión. Puede tener diferentes tipos de letra, esquemas de color y tipos de $`TERM` para cada sesión.

6. Pulse el botón Aceptar. Ahora estará disponible la sesión nueva en el diálogo Administrar perfiles.

7. Pulse Aceptar.

Ahora debería ser posible mantener pulsado el botón Nueva sesión en la barra de pestañas y seleccionar el nuevo tipo de sesión de la lista. Se abrirá un nuevo terminal en la ventana de &konsole;, con el resultado de la ejecución de la orden. En nuestro ejemplo, tendrá una petición de contraseña por parte de ssh, y cuando le proporcione la contraseña, podrá acceder a la máquina remota. Puede saltarse este paso utilizando el agente ssh, pero esto es un ejemplo que permitirá avanzar hacia cosas más interesantes. Quizá desee registrar los errores http de su cola remota en un servidor web. Podría utilizar una orden similar a ``ssh` `-f` servidorweb `tail` `-f` `/var/log/httpd-error.log``.

Puede utilizar ésto para ejecutar también órdenes locales. Intente crear una sesión en la que la orden sea ``tail` `-f` `/var/log/mensajes``. En este caso, la salida de la aplicación en ejecución cerrará también el terminal de la sesión.

Un uso muy interesante de esta característica es que si siempre abre el mismo grupo de sesiones, &kde; puede abrirlas todas automáticamente cuando inicie una nueva sesión de &kde;. Solo tiene que tenerlas abiertas cuando salga de &kde; y se guardarán con su sesión de &kde;, restaurándose al igual que cualquier otra aplicación cuando se reinicia &kde;.

Puede asociar accesos rápidos a cualquier sesión.

### Botones de ratón

Esta sección detalla la utilización de los botones del ratón para dar órdenes a través del botón derecho. Para utilizar el botón izquierdo, cambie los botones izquierdo y derecho en el texto inferior.

Izquierda

  Todas las pulsaciones del &LMB; se envían a la aplicación en &konsole;. Si una aplicación puede reaccionar a las pulsaciones del ratón, &konsole; lo indica mostrando un flecha de cursor. Sino, mostrará un cursor con forma de I.

  Manteniendo pulsado el &LMB; y arrástrando el puntero por la pantalla con una aplicación que no soporte el uso del ratón seleccionará una región de texto. Mientras se arrastra, el texto marcado se muestra en vídeo inverso para que se vea mejor. Seleccione Copiar del menú Editar para copiar el texto marcado al portapapeles para que se pueda usar más tarde con &konsole; u otra aplicación. El texto seleccionado puede ser arrastrado y soltado en aplicaciones compatibles. Pulse sobre el texto seleccionado y arrástrelo a la dirección deseada. Dependiendo de la configuración de &kde;, puede necesitar mantener pulsada la tecla &Ctrl; mientras arrastra.

  Normalmente, se insertan caracteres de salto de línea al final de cada línea seleccionada. Ésto es mejor para cortar código fuente, o la salida de una orden en particular. Para texto normal, los saltos de línea no suelen ser importantes. A veces uno preferiría, sin embargo, que el texto fuera una cadena de caracteres que se reformatearán automáticamente al pegarlos en otra aplicación. Para seleccionar el modo de texto como cadena, mantenga pulsada la tecla &Ctrl; mientras continúa seleccionando la forma normal.

  Pulsando las teclas &Ctrl; y &Alt; a la vez que el &LMB; seleccionará una columna de texto.

  Un doble pulsación con el &LMB; seleccionará una palabra. Una triple pulsación seleccionará una línea completa.

  Si se llega al borde superior o inferior del área de texto mientras se está seleccionando, &konsole; hace un desplazamiento arriba o abajo, posiblemente mostrando texto del historial de la memoria intermedia. El desplazamiento termina cuando el ratón deja de moverse.

  Después de que se suelte el botón del ratón, &konsole; trata de mantener el texto visible en el portapapeles manteniendo para ello el área seleccionada en vídeo inverso. El área marcada vuelve a vídeo normal tan pronto como se altere el contenido del portapapeles, se modifique el texto del área marcada o se pulse el &LMB;.

  Para marcar texto en una aplicación que soporte el ratón (por ejemplo, Midnight Commander), éste debe pulsarse a la vez que la tecla &Shift;.

Central

  Pulsando el &MMB; se pega texto en el portapapeles. Manteniendo pulsada la tecla &Ctrl; mientras pulsa el &MMB; pega el texto y lo envía a &konsole;.

  Si tiene un ratón con sólo dos botones, al pulsar a la vez el &LMB; y el &RMB; se emula el &MMB; de un ratón con tres botones.

  Si tiene una rueda en lugar de botón central, gírela en un programa con soporte de ratón para mover la barra de desplazamiento de &konsole;.

Derecho

  Los elementos que aparecen en el menú cuando se pulsa el &RMB; dependen de que la barra de menú esté visible.

  Con la barra de menú visible: Los elementos Fijar final de selección, Copiar, Pegar, Enviar señal, Separar sesión, Renombrar sesión..., Marcadores y Cerrar sesión.

  Con la barra de menú oculta: Los elementos Mostrar barra de menú, Fijar final de selección, Copiar, Pegar, Enviar señal, Nueva sesión, Separar sesión, Renombrar sesión..., Marcadores, Preferencias y Cerrar sesión.

  En una aplicación que soporte el ratón, pulse la tecla &Shift; a la vez que el &RMB; para que aparezca el menú emergente.

  Pulsar la tecla &Ctrl; a la vez que el &RMB; hará aparecer el menú Sesión.

### Barra de menú

La barra de menú se sitúa en la parte superior de la ventana de &konsole;. La barra de menú puede activarse y desactivarse con la tecla &Alt;.

Preferencias Ocultar barra de menú permite ocultar la barra de menú. Cuando la barra de menú está oculta, puede llegar a la opción Mostrar barra de menú pulsando el botón derecho sobre la ventana o pulsando &Alt;&Ctrl;M, que es el acceso rápido predeterminado para activar la barra de menú. Esta operación también puede hacerse asignándola un acceso rápido.

#### El menú Archivo

Archivo Intérprete de órdenes

  Abre una sesión nueva con un terminal de intérprete de órdenes. También se puede utilizar &Alt;&Ctrl;N , tal y como se describe más detalladamente a continuación.

Archivo Nueva ventana

  Abre una ventana nueva de &konsole;. También se puede utilizar &Ctrl;&Shift;M, para abrir una ventana nueva de &konsole;.

Archivo Nueva consola Linux

  Abre una nueva sesión emulando un sistema &Linux; de sólo texto.

  Vea el archivo `README.linux.console` en el paquete &konsole; para obtener información más detallada de las diferencias entre una consola &Linux; y una consola &UNIX; típica. Si esto no significa nada para usted, no se preocupe por ello.

Archivo Nuevo Midnight Commander

  Abre una nueva sesión con el administrador de archivos Midnight Commander.

  Esta entrada del menú solo será visible si Midnight Commander (`mc`) está instalado en su sistema.

Archivo Nuevo Midnight Commander como root

  Abre una nueva sesión con el administrador de archivos Midnight Commander, como el usuario root.

  Después de preguntar por la clave de root, aparece el símbolo # en la ventana de navegación, indicando que el usuario está trabajando con privilegios de root. Trabajar como root a veces es necesario, pero debe tener cuidado para evitar daños accidentales al sistema.

  Esta entrada del menú solo será visible si Midnight Commander (`mc`) está instalado en su sistema.

Archivo Nuevo intérprete de órdenes como root

  Abre una nueva sesión con un terminal, como el usuario root.

  Después de preguntar por la clave de root, aparece el símbolo #, indicando que el usuario está trabajando con privilegios de root. Esto a veces es necesario para instalar nuevo software y otro mantenimiento del sistema, pero debe tenerse cuidado para evitar daños accidentales al sistema.

Archivo Nueva sesión de pantalla

  Abre una nueva sesión con el administrador de terminales virtuales Screen. Vea ``man` `screen`` para obtener más información.

  Esta entrada de menú únicamente estará visible si Screen (`screen`) está instalado en su sistema.

Archivo Cerrar pestaña

  Cierra la pestaña actual y la sesión que contiene.

Archivo Salir

  Sale de &konsole;, cerrando todas las sesiones y cualquier aplicación cargada desde ellas.

También puede abrir una sesión nueva con un acceso rápido. De forma predeterminada, se utiliza &Ctrl;&Shift;N. También puede definir sus propios accesos rápidos a través de la orden de menú Preferencias Configurar accesos rápidos....

La lista de sesiones disponibles reflejará qué programas están instalados con cualquier sesión definida por el usuario. La lista de sesiones se ordenará por orden alfabético para poder realizar una búsqueda rápida.

Finalmente, tenga en cuenta que los tipos de sesión pueden modificarse y se pueden crear nuevos tipos utilizando el diálogo de configuración, a través de la entrada de menú Preferencias Administrar perfiles....

#### El menú Editar

Editar Copiar

  Copia el texto seleccionado al portapapeles.

&Ctrl;&Shift;V Editar Pegar

  Pega texto desde el portapapeles en el lugar donde está el cursor.

&Ctrl;&Alt;S Editar Renombrar pestaña...

  Abre un cuadro de diálogo que le permite cambiar el nombre de la sesión actual. El nombre se muestra en la pestaña de la sesión.

Editar Enviar señal a todas

  Marca la sesión actual de modo que cualquier orden introducida será enviada a todas las sesiones. La sesión tendrá un pequeño icono en su pestaña para recordarle que sea cuidadoso con lo que introduce, ``rm` `-rf *``, por ejemplo, es un idea pésima.

Editar Enviar señal

  Envía la señal especificada al proceso del intérprete, o a otros procesos, que se ejecutaron cuando se inició la nueva sesión.

  Las señales disponibles son:

  STOP | para detener procesos
  CONT | para continuar si están detenidos
  HUP | detectado cuelgue del terminal controlador, o muerte del proceso controlador
  INT | interrupción desde el teclado
  TERM | señal de terminación
  KILL | señal de muerte
  USR1 | señal de usuario 1
  USR2 | señal de usuario 2

  Acuda a las páginas del manual de su sistema para obtener más detalles ejecutando la orden ``man` `7 signal``.

&Alt;&Ctrl;U Editar Cargar ZModem

  Enviar un archivo a través de ZMódem.

Editar Borrar pantalla

  Borra todo el texto de la ventana de la sesión.

Editar Borrar y reiniciar

  Reinicia y borra la ventana de la sesión.

#### El menú Vista

Vista Separar vista

  Abre la sesión actual en una ventana separada. El nombre de la sesión se muestra en la barra de título de la nueva ventana.

Vista Ocultar barra de menú

  Oculta la barra de menú.

&Ctrl;&Shift;F11 View Modo de pantalla completa

  Cambia la ventana a pantalla completa.

Vista Monitor de silencio

  Etiqueta la sesión actual de modo que mostrará una alerta si no se produce actividad durante 10 segundos Se mostrará un icono con una bombilla de luz negra en la pestaña de la sesión. Utilice esta propiedad para servirle de aviso si una tarea se detiene mientras trabaja en otra sesión. El tiempo que transcurra antes de que se muestre una alerta se puede modificar en las preferencias de &konsole;.

Vista Monitor de actividad

  Marca la sesión actual de modo que mostrará una alerta si se produce actividad. Se mostrará un icono con una bombilla de luz clara en la pestaña de la sesión. Utilice esta propiedad para servirle de aviso por si ocurre algo mientras trabaja en otra sesión. El tiempo que transcurra antes de que se muestre una alerta se puede modificar en las preferencias de &konsole;.

Vista Establecer codificación de caracteres

  Selecciona la codificación de caracteres para la sesión actual.

#### El menú Historial

Historial Buscar salida

  Busca una palabra o cadena de texto en el historial actual. Las opciones permiten búsquedas distinguiendo mayúsculas/minúsculas o búsquedas hacia atrás, y el uso de expresiones regulares.

Historial Buscar siguiente

  Se mueve hacia la siguiente aparición del texto que está buscando.

Historial Buscar anterior

  Se mueve hacia la anterior aparición del texto que está buscando.

Historial Guardar salida...

  Guarda el historial actual como un archivo de texto.

Historial Opciones del historial...

  Abre el diálogo de las opciones del historial en el que puede configurar cuántas líneas del historial debería mantener.

Historial Borrar historial

  Borra el historial de la sesión actual.

Historial Borrar el historial y reiniciar

  Borra el historial de la sesión actual y reinicia el terminal.

#### El menú Marcadores

Marcadores Añadir marcador

  Añade la ubicación actual a la lista de marcadores.

Marcadores Pestañas de marcadores como carpeta...

  Añade todas las pestañas como una carpeta de marcadores. Abrirá un diálogo en el que podrá escribir el nombre de la carpeta de marcadores nueva.

Marcadores Nueva carpeta de marcador...

  Añade una nueva carpeta a la lista de marcadores.

Marcadores Editar marcadores

  Edita la lista de marcadores.

La lista de marcadores se muestra en la parte inferior del menú. Seleccione un marcador para cambiar esta ubicación.

Puede utilizar el editor de marcadores para añadir manualmente URLs del estilo de ssh://usuario@servidor o telnet://servidor para abrir conexiones remotas.

#### El menú Preferencias

Preferencias Cambiar perfil

  Cambia el perfil para la sesión actual.

Preferencias Editar perfil actual...

  Edita las preferencias del perfil para la sesión actual.

Preferencias Administrar perfiles

  Abre un diálogo para administrar perfiles de sesión. Puede añadir perfiles nuevo, eliminarlo y editarlos. También le permite elegir su perfil predeterminado.

Preferencias Configurar accesos rápidos...

  Personaliza los accesos rápidos de teclado para las órdenes de &konsole;.

Preferencias Configurar notificaciones...

  Personaliza las notificaciones de &konsole;.

#### El menú Ayuda

Ayuda Manual de Konsole

  Abre la tabla de contenidos de este documento.

Ayuda Informar de fallo...

  Envía un informe de fallo o una petición de mejora para &konsole;.

Ayuda Acerca de Konsole

  Información acerca del autor de &konsole;.

Ayuda Acerca de KDE

  Información sobre el proyecto &kde;.

### Barra de pestañas

La barra de pestañas permite la existencia de múltiples sesiones de terminal asociadas a una sola ventana de &konsole;.

Imagen de la barra de pestañas
Imagen de la barra de pestañas

&konsole; con 4 sesiones de terminal abiertas con la barra de pestañas en la parte inferior.

El elemento de menú Preferencias Editar perfil actual...Pestañas permite que la barra de pestañas se muestre Encima del terminal o Debajo del terminal. La barra de pestañas también se puede ocultar seleccionando Esconder barra de pestañas o mostrar automáticamente seleccionando Mostrar barra de pestañas cuando se necesite.

En la parte izquierda de la barra de pestañas hay un botón que le permite efectuar múltiples acciones.

- Pulse el botón para iniciar una sesión predeterminada nueva.

- Mantener pulsado el botón hará aparecer una lista de sesiones para seleccionar la deseada.

- Pulsar con el botón derecho (en cualquier espacio vacío de la barra de pestañas) hará aparecer un menú con el siguiente conjunto de opciones:

  - Barra de pestañas: Ocultar, Arriba, Abajo.

  - Pestaña opciones: Texto e iconos, Solo texto, Solo iconos.

  - Ocultación dinámica ocultará la barra de pestañas cuando solo haya una sesión abierta.

  - Pestañas autoredimensionables redimensionará automáticamente las pestañas para que ocupen todo el ancho de la barra de pestañas.

En la parte derecho de la barra de pestañas se encuentra un botón que cierra la sesión actual. Este botón se desactivará cuando solo haya una sesión en ejecución.

Pulsar el botón derecho sobre la pestaña hará aparecer otro menú:

- Despegar sesión.

- Renombrar sesión...

- Monitor de actividad.

- Monitor de silencio.

- Enviar entrada a todas las sesiones.

- Seleccionar color de la pestaña...

- Cambiar a la pestaña.

- Cerrar sesión.

### Opciones de la línea de órdenes

Cuando se inicia &konsole; desde la línea de órdenes, se pueden especificar varias opciones para modificar su comportamiento.

`--help`

  Lista varias opciones.

`-e` `orden`

  Ejecuta `orden` en lugar del intérprete de órdenes.

  Cualquier argumento después de `orden` se pasará a `orden`, no a &konsole;.

`-keytab` `archivo`

  Inicia &konsole; utilizando un archivo .keytab especifico para personalizar las asociaciones de teclas.

`--keytabs`

  Lista todos los tipos de distribuciones de teclado disponibles.

`--ls`

  Inicia con un entorno de acceso al terminal. Lo que hace dependerá de su sistema, pero generalmente significa que archivos como `~/.profile` o `~/.bash_profile` serán leídos. (Si esto le resulta incomprensible, no se preocupe, pero acuérdese para cuando se dé cuenta de que le resulta necesario).

`-name` `nombre`

  Fija el nombre que aparece en la barra de título.

`--noclose`

  Evita que &konsole; se cierre cuando se envía una orden ``exit`` a la única sesión de la ventana.

`--noframe`

  Inicia &konsole; sin un marco.

`--nohist`

  Desactiva el guardado de líneas que se desplazan hacia arriba desapareciendo de la ventana.

`--nomenubar`

  Inicia &konsole; sin barra de menú.

`--noresize`

  Desactiva el redimensionado de la ventana del terminal.

`--noscrollbar`

  Inicia &konsole; sin barra de desplazamiento.

`--notabbar`

  Inicia &konsole; sin barra de menú.

`--noxft`

  Inicia &konsole; sin suavizado Xft. El suavizado de tipos de letra pequeños puede resultar difícil de leer.

`--profile` `archivo`

  Inicia &konsole; utilizando un grupo de sesiones guardadas.

`--profiles`

  Muestra los perfiles disponibles.

`--schema` `nombre` | `archivo`

  Inicia &konsole; utilizando el esquema 'nombre' o el especificado en 'archivo' para personalizar el aspecto.

`--schemata`

  Muestra los esquemas disponibles.

`--script`

  Activa las funciones extendidas &DCOP; &Qt;.

`-T` `título`

  Fija el título de la ventana.

`-tn` `terminal`

  Configura la variable de entorno TERM con el valor especificado. Lea ``man` `xterm`` para obtener más información sobre TERM.

`--type` `tipo`

  Inicia una sesión del tipo seleccionado en lugar del predeterminado.

`--types`

  Lista todos los tipos de sesiones disponibles.

`--vt_sz` `CCxLL`

  Inicia una ventana de terminal con CC columnas y LL líneas.

`--workdir` `dir`

  Abrir con `dir` como carpeta de trabajo.

Ejemplos:

    &percnt; konsole --vt_sz 90x25 --nohist

Inicia una ventana de &konsole; con 90 columnas y 25 filas, sin historial.

    &percnt; konsole --noclose -e echo_args Hola, ¡gracias por utilizar &konsole;!

Inicia una ventana de &konsole; con el texto 'Hola, ¡gracias por utilizar &konsole;!'.

`echo_args` es un simple script de Bash:

    #!/bin/bash
    echo $*

&konsole; también acepta opciones genéricas de &Qt; y KDE:

`--help-qt`

  Lista las opciones específicas de &Qt;.

Las siguientes opciones &Qt; no tendrán efecto en &konsole;:

`--fn`, `--font` `nombreletra`

  Define la letra de la aplicación.

`--bg`, `--background` `color`

  Configura el color de fondo predeterminado.

`--fg`, `--foreground` `color`

  Configura el color predeterminado del primer plano.

`--btn`, `--button` `color`

  Configura el color predeterminado del botón.

`--help-kde`

  Lista las opciones específicas de &kde;.

`--help-all`

  Lista todas las opciones.

`--author`

  Muestra los nombres de los autores.

`-v,--version`

  Muestra el número de versión

`--licencia`

  Muestra información de la licencia.

### &DCOP;

Para ver una introducción a &DCOP;, y el uso de `dcop` por favor, vea La entrada guía de usuario de &DCOP;.

## Créditos y derechos de autor

A partir de &kde; 3.4, el encargado de &konsole; es &Kurt.Hindenburg; &Kurt.Hindenburg.mail;.

El mantenedor anterior de &konsole; fue &Waldo.Bastian;&Waldo.Bastian.mail;.

Derechos de autor de la aplicación &konsole;. © 1997-2005. &Lars.Doelle; &Lars.Doelle.mail;.

Este documento fue escrito por &Jonathan.Singer; &Jonathan.Singer.mail;.

Este documento fue escrito para &kde; 3.4 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;.

Originalmente convertido a DocBook SGML por &Mike.McBride; y &Lauri.Watts;.

Traducido por Pablo de Vicente vicentea@oan.es.

Traducido por Marcos Fouces Lago mfouces@yahoo.es.

Traducido por Santiago Fernández Sancho santi@kde-es.org.

&underFDL; &underGPL;

## &konsole; en plataformas no &Linux;

La información para generar &konsole; en plataformas diferentes de &Linux; está disponible en el archivo `README.ports` en el paquete fuente base de &konsole;. Proporciona una lista de experto para ciertas plataformas (Tru64, &Solaris;, OpenBSD) y solicita voluntarios para otras plataformas &UNIX;.

Si desea más información, visite:

- &kde; en FreeBSD.

- &kde; en &Solaris;.

&documentation.index;